Bug 1626827 - Lightning in Thunderbird 60 does not contain localization files for any locale
Summary: Lightning in Thunderbird 60 does not contain localization files for any locale
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1643521 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-09 10:19 UTC by Michal Stanke (Mozilla.cz) [:MikkCZ][:mstanke] (use needinfo)
Modified: 2019-08-23 08:27 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Michal Stanke (Mozilla.cz) [:MikkCZ][:mstanke] (use needinfo) 2018-09-09 10:19:01 UTC
Description of problem:
Thunderbird calendar (Lightning) does not honor system nor Thunderbird language settings, respectively does not contain any localization files, only English.

Version-Release number of selected component (if applicable):
Thunderbird 60.0
Lightning 6.2

How reproducible:
- always

Steps to Reproduce:
1. Have Fedora release 28 (Twenty Eight) and language settings set to Czech.
2. Update Thunderbird to version 60.
3. Run it.

Actual results:
Thunderbird is in Czech, but all calendar UI is in English.

Expected results:
Lightning should use the locale of the system, same as Thunderbird does.

Additional info:
The UI is in English for any profile created by Thunderbird. If I download TB from thunderbird.net and create a profile using the binary from there, Lightning is in Czech for that profile.

Comment 1 Didier G 2018-09-09 10:57:53 UTC
I confirm this problem with thunderbird-60.0-1.fc28.x86_64 using french:

- Thunderbird is in french
- Calendar (Lightning) stay in english

Comment 2 Michael J Gruber 2018-09-11 08:13:04 UTC
Confirmed with DE; also (per https://bodhi.fedoraproject.org/updates/FEDORA-2018-be22632a02) with RU.

Apparantly, the build process is not fully adjusted to the fact that lightning is shipped with TB now.

Comment 3 Donald O. 2018-09-11 19:43:22 UTC
it works as described in German, however moving from one date to another needs 1 minute or even more the first time in a session.

Comment 4 Pierre Juhen 2018-09-24 04:41:00 UTC
I confirm the problem. It's a packaging problem. Please see : 

https://bugzilla.mozilla.org/show_bug.cgi?id=1469678

The langpacks for lightning have to be generated separately and added to the rpm.

Regards,

Comment 5 Didier G 2018-10-04 13:38:24 UTC
Je viens de mettre à jour Thunderbird avec la version thunderbird-60.2.1-2.fc29.x86_64 et comme avec les versions précédentes thunderbird est en français mais la partie lightning est elle toujours en anglais.

IF YOU ARE NOT BILINGUAL FRENCH-ENGLISH: 

I just upgraded to thunderbird-60.2.1-2.fc29.x86_64 and as with previous versions thunberbird is in french but the lightning part is still in english.

Comment 6 Didier G 2018-10-30 20:17:35 UTC
I just upgraded to thunderbird-60.3.0-1.fc29.x86_64 available on koji.

For french language, this new version fixes the problem of translation in calendar (lightning).

Comment 7 Jan Horak 2018-11-05 14:33:01 UTC
*** Bug 1643521 has been marked as a duplicate of this bug. ***

Comment 8 Didier G 2019-03-02 03:14:31 UTC
Same player shoot again with thunderbird-60.5.1-1.fc29.x86_64 and Fedora in french: lightning is still in english.

Comment 9 mlaverdiere 2019-03-02 12:32:28 UTC
As Didier G is reporting, this bug is back with TB version 60.5.1-1.fc29, i.e. lightning interface is in English. 

I presume that langpacks were not generated/integrated in the rpm...

Comment 10 Ben Cotton 2019-05-02 19:49:29 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Frank Büttner 2019-05-02 21:08:48 UTC
Same on F28 using TB 60.6

Comment 12 Michael J Gruber 2019-05-03 08:26:43 UTC
Same on F30 using TB 60.6.1.

Comment 13 Didier G 2019-05-22 10:35:07 UTC
Good surprise, I just upgraded to thunderbird-60.7.0-1.fc30.x86_64 and lightning is in system language, in my case in french.

Comment 14 Martin Stransky 2019-08-23 08:27:48 UTC
Moving Thunderbird bugs to Jan to manage them meanigfuly.


Note You need to log in before you can comment on or make changes to this bug.